### File

`packages/eui/packages/components-next/src/lib/components/eui-dashboard-button/eui-dashboard-button.component.ts`

### Extends

`BaseDirective`

### Implements

`AfterContentInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-dashboard-button`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-dashboard-button.component.html`

### Index

###### Inputs
iconClass label mainLabel subLabel url
###### HostBindings
class

### Constructor

`constructor()`

### Inputs

iconClass
Type : `string`

label
Type : `string`

mainLabel
Type : `string`

subLabel
Type : `string`

url
Type : `string`

### HostBindings

class

# result-matching ""

# No results matching ""